# inspect_annotations module

### Contents

- Reference
  - Classes
  - Functions
  - Data

## Classes

class Foo
  A class with properties

## Functions

def annotated_positional_keyword(bar = False, *, foo: str, **kwargs)
  Function with explicitly delimited keyword args and type annotations
def annotation(param: typing.List[int], another: bool, third: str = 'hello') -> inspect_annotations.Foo
  An annotated function
def args_kwargs(a, b, *args, **kwargs)
  Function with args and kwargs
def no_annotation(a, b, z)
  Non-annotated function
def no_annotation_default_param(param, another, third = 'hello')
  Non-annotated function
def partial_annotation(foo, param: typing.Tuple[int, int], unannotated, cls: inspect_annotations.Foo)
  Partially annotated function
def positional_keyword(positional_kw, *, kw_only)
  Function with explicitly delimited keyword args

## Data

ANNOTATED_VAR: typing.Tuple[bool, str] = (False, 'No.')
UNANNOTATED_VAR = 3.45